C cfortex.f
C Burkhard Burow, University of Toronto, July 1990.

      subroutine s1(b)
      character*(*) b
      character*(13) a
      data a/'first'/
      b = a
      return
      end

      subroutine abc(a,b,c)
      character*(*) b,a,c
      character*(13) d
      d = a
      a = b
      b = c
      c = d
      return
      end

      subroutine forstr1(b)
      character*(*) b
      character*(13) a
      character*(13) forstr
      data a/'firs'/
      b = forstr(a)
      return
      end


      subroutine EASY(a,b)
      a = b
      return
      end

      character*(*) function forstr(a)
      character*(*) a
      forstr = a
      return
      end

      function r(i)
      r = i
      return
      end

      character*(*) function forstr2()
      character*(13) a
      data a/'first'/
      forstr2 = a
      return
      end

      character*(*) function ft(v, w, a)
      character *(*) v(4), w(4)
      print*,'FT:len(v(1 or 2 or 3 or 4))  =',len(v(1))
      print*,'FT:len(w(1 or 2 or 3))    =',len(w(1))
      print*,'FT:a = ',a
      print*,'FT:v(1,2,3,4) =',v(1),',',v(2),',',v(3),',',v(4)
      print*,'FT:w(1,2,3,4) =',w(1),',',w(2),',',w(3),',',w(4)
      ft = v(1)
      return
      end

      subroutine st(v, w, a)
      character *(*) v(4), w(4)
      print*,'ST:len(v(1 or 2 or 3 or 4))  =',len(v(1))
      print*,'ST:len(w(1 or 2 or 3))    =',len(w(1))
      print*,'ST:a = ',a
      print*,'ST:v(1,2,3,4) =',v(1),',',v(2),',',v(3),',',v(4)
      print*,'ST:w(1,2,3,4) =',w(1),',',w(2),',',w(3),',',w(4)
      return
      end

      subroutine rev(a)
      integer a(2),t
      t    = a(1)
      a(1) = a(2)
      a(2) = t
      return
      end

      integer function frev(a)
      integer a(2)
      frev = a(1)
      a(1) = a(2)
      a(2) = frev
      return
      end

      subroutine ffcb()
      common /fcb/  v,w,x
      character *(13) v, w(4), x(3,2)
      print*,'FFCB:v =',v,'.'
      print*,'FFCB:w(1,2,3,4) =',w(1),',',w(2),',',w(3),',',w(4),'.'
      print*,'FFCB:x([1,2,3],1) =',x(1,1),',',x(2,1),',',x(3,1),'.'
      print*,'FFCB:x([1,2,3],2) =',x(1,2),',',x(2,2),',',x(3,2),'.'
      v      = 'fcb v'
      w(1)   = 'fcb w(1)'
      w(2)   = 'fcb w(2)'
      w(3)   = 'fcb w(3)'
      x(1,1) = 'fcb x(1,1)'
      x(2,1) = 'fcb x(2,1)'
      x(3,1) = 'fcb x(3,1)'
      x(1,2) = 'fcb x(1,2)'
      x(2,2) = 'fcb x(2,2)'
      x(3,2) = 'fcb x(3,2)'
      end

      subroutine feq()
      parameter (kwbank=690)
      common/gcbank/nzebra,gversn,zversn,ixstor,ixdiv,ixcons,fendq(16)
     +             ,lmain,lr1,ws(kwbank)
      dimension iq(2),q(2),lq(80),iws(2)
      equivalence (q(1),iq(1),lq(9)),(lq(1),lmain) ,(iws(1),ws(1))
      nzebra     = 1
      gversn     = 2
      zversn     = 3
      ixstor     = 4
      ixcons     = 5
      fendq(16)  = 6
      lmain      = 7
      lr1        = 8
      ws(kwbank) = 9
      lq(9)      = 10
      end

      subroutine fexist()
      print*,'FEXIST: was called'
      call exist()
      return
      end

      subroutine fa(i)
      integer i
      print*,'FA: integer argument =',i
      call ca(i)
      return
      end

      subroutine fb(i)
      integer i
      print*,'FB: integer argument =',i
      i = i*2
      call cb(i)
      return
      end

      subroutine fc(b)
      character*(*) b
      print*,'FC: string argument =',b
      call cc(b)
      return
      end

      subroutine fd(b)
      character*(*) b
      character*(13) a
      data a/'birthday'/
      b = a
      call cd(b)
      return
      end

      subroutine fe(v)
      character*(*) v(4)
      print*,'FE:len(v(1 or 2 or 3 or 4))  =',len(v(1))
      print*,'FE:v(1,2,3,4) =',v(1),',',v(2),',',v(3),',',v(4)
      call ce(v)
      return
      end

      subroutine ff(v,n)
      character*(*) v(4)
      print*,'FF:len(v(1 or 2 or 3 or 4))  =',len(v(1))
      print*,'FF:v(1,2,3,4) =',v(1),',',v(2),',',v(3),',',v(4)
      print*,'FF:n =',n
      call cf(v,n)
      return
      end

      integer function fg()
      integer cg
      fg = cg()
      return
      end

      character*(*) function fh()
      character*200 ch
      fh = ch()
      return
      end

      character*(*) function fi(v)
      character*(*) v(6)
      character*200 ci
      fi = ci(v)
      return
      end

      character*(*) function fj(v)
      integer v
      character*200 cj
      print*,'FJ:v =',v
      fj = cj(v)
      return
      end

